<?php
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
$sesion->set('permiso',permisos($_POST['privilegio']));	

require_once("../includes/lib_lenguaje.php");
$cleguaje=new cLanguage();

if(!comprobar_sesion()){
	mensaje($cleguaje->Phrase('global','ses_cad'),$cleguaje->Phrase('project','institucion'));	
	exit;
}

require_once("../includes/lib_lenguaje.php");
$cleguaje=new cLanguage();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

<script  type="text/javascript"> 

$(document).ready(function(){
	sessionStorage['lastsel']=null
	var lastsel;
	var datos=new Array();
	var cod_area="";
		
	var editparameters = {
		"keys" : false,
		"oneditfunc" :null,
		"successfunc" : null,
		"url" : '',
		"extraparam" : {},
		"aftersavefunc" : null,
		"errorfunc": null,
		"afterrestorefunc" : null,
		"restoreAfterError" : true,
		"mtype" : "POST"
	}
	
	var grillaAdtivos=jQuery("#listado_administrativos").jqGrid({
		height: 120,
		url:'mod_prueba/list_prueba.php',
		datatype: "json",
		hidegrid:false,
		multiselect: false,
		rowNum:5,
		rowList:[5,30,50],
		pager: '#pager_administrativos',
		sortname: 'ape1_adtivo',
		viewrecords: true,
		sortorder: "asc",
		editurl:null,
		caption:'<?php echo $cleguaje->Phrase('administrativos','titulogrilla') ?>',
		toolbar:[true,"top"],
		onPaging:function(){
			alert("hola");
			return [false,2];
			jConfirm("dfdf","Sus datos modificados se perderan",function(rta){
				if(rta)	
					sessionStorage['lastsel']=null;
			})
			return false;
			
		},
		colNames:[
			'<?php echo $cleguaje->getField('global','num_doc') ?>',
			'<?php echo $cleguaje->getField('global','pri_ape') ?>',

			'<?php echo $cleguaje->getField('global','sexo') ?>',
			'<?php echo $cleguaje->getField('administrativos','cargo') ?>',
		],
		
		colModel:[
		//	{name:'idx',index:'idx',resizable:false,width:20,editable: true},
			{name:'ide_adtivo',index:'ide_adtivo',resizable:false,width:120,editable: true},
			
			
			{name:'ape1_adtivo',index:'ape1_adtivo',resizable:false,width:200,editable: true,
				searchoptions:{searchhidden:true}
			},

						
			{name:'genero',index:'genero',resizable:false,width:50,editable: true},
			{name:'cargo',index:'cargo',resizable:false,width:140,editable: true},
		],
		onSelectRow: function(id){ 
		//alert(sessionStorage['lastsel'] +" - "+ id)
			if(id && id!==sessionStorage['lastsel']){ 
				cam_estado(sessionStorage['lastsel'])
				jQuery('#listado_administrativos').jqGrid('editRow',id,editparameters); 
				sessionStorage['lastsel']=id; 
				
			} 
			
		},
		loadComplete:function(){
			cambiar_iconos('pager_administrativos')
		},
		
	})

	jQuery("#listado_administrativos").jqGrid("bindKeys",{'onEnter':function(id){
		//alert(id + "" + parseInt(id)+1)
		jQuery("#listado_administrativos").setSelection(parseInt(id)+1);
	}})
	jQuery("#listado_administrativos").jqGrid('navGrid','#pager_administrativos',{add:false,edit:false,del:false,refreshstate:'current',beforeRefresh:function(){
		jConfirm("dfdf","Sus datos modificados se perderan",function(rta){
			if(rta)	
				sessionStorage['lastsel']=null;
		})
		
	}}, {}, {}, {},{
		multipleSearch:true,
		modal:true,
		resize : false,
	});
	
	function cam_estado(lastsel){
		if(lastsel){
			var ap1=$("#"+lastsel+"_ape1_adtivo").val();
			var id_aditivo=$("#"+lastsel+"_ide_adtivo").val();
			var genero=$("#"+lastsel+"_genero").val();
			var cargo=$("#"+lastsel+"_cargo").val();	
				
			jQuery('#listado_administrativos').jqGrid('restoreRow',lastsel); 		
			jQuery("#listado_administrativos").setCell(lastsel,'ide_adtivo',id_aditivo);
			jQuery("#listado_administrativos").setCell(lastsel,'ape1_adtivo',ap1);
			jQuery("#listado_administrativos").setCell(lastsel,'genero',genero);
			jQuery("#listado_administrativos").setCell(lastsel,'cargo',cargo);
		}
	}
	
<?php 
if(in_array("A", $permisos)) { ?>

		var dtnew={
			nom_pag:"t_listado_administrativos",
			Click:function(){
				var new_id=((Math.random()*70)+25).toFixed();
			  	jQuery("#listado_administrativos").addRowData(new_id,{ide_adtivo:'',ape1_adtivo:'',genero:'',cargo:''});
				jQuery("#listado_administrativos").setSelection(new_id);
				
			},
			title: '<?php echo $cleguaje->Phrase('global','new') . " " . $cleguaje->Phrase('administrativos','name') ?>',
			empresa: '<?php  echo $cleguaje->Phrase('global','institucion') ?>'
		}		
		btnNewReginLine(grillaAdtivos,dtnew)
	
			
<?php  } if(in_array("M", $permisos)) {?>
		var dtedit={
			nom_pag:"t_listado_administrativos",
			ide_tabla:'listado_administrativos',
			ancho:'auto',
			alto:'auto',
			param:'?accion=edit',
			iframe:false,
			recarga:true,
			msg_sel:'<?php echo $cleguaje->Phrase('global','selrec') ?>', //mensaje si no selecciona un registro
			title: '<?php echo $cleguaje->Phrase('global','edit') . " " . $cleguaje->Phrase('administrativos','name') ?>',
			empresa: '<?php  echo $cleguaje->Phrase('project','institucion') ?>',
		}	
		
		btnEditarColorbox(grillaAdtivos,dtedit)
		
<?php } if(in_array("E", $permisos)) {?>	
		var tddel={
			modulo:'administrativos',
			nom_pag:"t_listado_administrativos",
			ide_tabla:'listado_administrativos',
			ancho:'400',
			modal:true,
			recarga:true,
			msg_sel:'<?php echo $cleguaje->Phrase('global','selrecdel') ?>', //mensaje si no selecciona un registro
			msg_confirma:'<?php echo str_replace('@','\n',$cleguaje->Phrase('administrativos','confirdel')) ?>', //mensaje de confirmacion para la eliminacion
			title: '<?php echo $cleguaje->Phrase('global','del') . " " . $cleguaje->Phrase('administrativos','name') ?>',
			empresa: '<?php  echo $cleguaje->Phrase('project','institucion') ?>',
		}
		
		var xddel={
			modulo:'administrativos',
			nom_pag:"t_listado_administrativos",
			ide_tabla:'listado_administrativos',
			recarga:true,
			msg_sel:'<?php echo $cleguaje->Phrase('global','selrecdel') ?>', //mensaje si no selecciona un registro
			msg_confirma:'<?php echo str_replace('@','\n',$cleguaje->Phrase('administrativos','confirdel')) ?>', //mensaje de confirmacion para la eliminacion
			title: '<?php echo $cleguaje->Phrase('global','del') . " " . $cleguaje->Phrase('administrativos','name') ?>',
			empresa: '<?php  echo $cleguaje->Phrase('project','institucion') ?>',
			isgrid:false,
			url:'mod_administrativos/opera_administrativos.php',
			msgExito:'<?php  echo $cleguaje->Phrase('global','delexito') ?>',
		}
		btnEliminar(grillaAdtivos,xddel)

<?php } ?>


	$("#prx").click(function(){
		cam_estado(sessionStorage['lastsel'])
		
		var dt=jQuery('#listado_administrativos').getRowData();
		var ids=jQuery('#listado_administrativos').getDataIDs();
	
		
		$.post("mod_prueba/opera_prueba.php",{ids:ids,data:dt},function(rta){
			
		});
		
		sessionStorage['lastsel']=null;
	})
});


</script>
<title></title>
</head>

<body>
<table align="center">
  <tr>
  <td>
<table id="listado_administrativos"></table>
<div id="pager_administrativos"></div>
</td></tr>
</table>
<input type="button" name="prx" id="prx" value="Botón" />
	

</body>
</html>